HanMacWrdJTextInternal::TextZone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
HanMacWrdJTextInternal::TextZone Struct Reference

Internal: a struct used to store a text zone. More...

## Public Types
enum | Type { T_Main =0, T_Header =1, T_Footer =2, T_Footnote =3, T_Textbox =4, T_Table =9, T_Comment =10, T_Unknown }
| enum used to define the zone type More...

## Public Member Functions
| TextZone ()
| constructor More...

## Public Attributes
Type | m_type
| the zone type More...
MWAWEntry | m_entry
| the main entry More...
long | m_id
| the file zone id More...
std::multimap< long, PLC > | m_PLCMap
| the plc map More...
std::vector< Token > | m_tokenList
| the tokens list More...
bool | m_parsed
| true if the zone is sended More...

## Detailed Description

Internal: a struct used to store a text zone.

## Member Enumeration Documentation

enum HanMacWrdJTextInternal::TextZone::Type

enum used to define the zone type

Enumerator
T_Main |
T_Header |
T_Footer |
T_Footnote |
T_Textbox |
T_Table |
T_Comment |
T_Unknown |

## Constructor & Destructor Documentation

HanMacWrdJTextInternal::TextZone::TextZone | ( |  | ) |
| inline

constructor

## Member Data Documentation

MWAWEntry HanMacWrdJTextInternal::TextZone::m_entry

the main entry

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::computeNumPages(), HanMacWrdJText::readTextZone(), and HanMacWrdJText::sendText().

long HanMacWrdJTextInternal::TextZone::m_id

the file zone id

Referenced by HanMacWrdJText::readTextZonesList().

bool HanMacWrdJTextInternal::TextZone::m_parsed
| mutable

true if the zone is sended

Referenced by HanMacWrdJText::sendText().

std::multimap<long, PLC> HanMacWrdJTextInternal::TextZone::m_PLCMap

the plc map

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::readTextToken(), HanMacWrdJText::readTextZone(), and HanMacWrdJText::sendText().

std::vector<Token> HanMacWrdJTextInternal::TextZone::m_tokenList

the tokens list

Referenced by HanMacWrdJText::canSendTextAsGraphic(), HanMacWrdJText::getTokenIdList(), HanMacWrdJText::readTextToken(), and HanMacWrdJText::sendText().

Type HanMacWrdJTextInternal::TextZone::m_type

the zone type

Referenced by HanMacWrdJText::computeNumPages(), and HanMacWrdJText::sendText().

The documentation for this struct was generated from the following file:

- HanMacWrdJText.cxx